classification
Title: IDLE: Add tests for help sources on configdialog general tab
Type: enhancement Stage: resolved
Components: IDLE Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: cheryl.sabella, louielu, terry.reedy
Priority: normal Keywords:

Created on 2017-07-24 07:27 by terry.reedy, last changed 2017-07-27 01:42 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 2859 merged terry.reedy, 2017-07-25 07:26
PR 2906 merged terry.reedy, 2017-07-27 00:57
Messages (4)
msg299042 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-07-25 07:17
Bugs discovered while testing for tests; fix in followup that also streamlines layout.

Size vars are StringVars and write text strings that give invalid warning when read.  Use IntVars and enforce minimum at least 1?  Test what tk allows. Will IntVar reject non-digits?

Helplist: up/down move selection indicator but do not change selection.  Fix as with fontlist.  Will not edit/delete what expect.
msg299211 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-07-26 06:53
PR ready for test and review.
msg299281 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-07-27 00:54
New changeset 2bc8f0e6867f59e5e8444b2bde99bb0fa3dbefc8 by Terry Jan Reedy in branch 'master':
bpo-31003: IDLE - Add more tests for General tab (#2859)
https://github.com/python/cpython/commit/2bc8f0e6867f59e5e8444b2bde99bb0fa3dbefc8
msg299284 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-07-27 01:41
New changeset 0c4c65104c951c70f3a2a2fd1a45bdf6540f3a8e by Terry Jan Reedy in branch '3.6':
[3.6] bpo-31003: IDLE - Add more tests for General tab (GH-2859) (#2906)
https://github.com/python/cpython/commit/0c4c65104c951c70f3a2a2fd1a45bdf6540f3a8e
History
Date User Action Args
2017-07-27 01:42:51terry.reedysetstatus: open -> closed
resolution: fixed
stage: needs patch -> resolved
2017-07-27 01:42:24terry.reedysetmessages: - msg299269
2017-07-27 01:41:28terry.reedysetmessages: + msg299284
2017-07-27 00:57:05terry.reedysetpull_requests: + pull_request2957
2017-07-27 00:54:42terry.reedysetmessages: + msg299281
2017-07-26 22:26:13terry.reedysetmessages: + msg299269
2017-07-26 06:53:25terry.reedysetnosy: + louielu, cheryl.sabella
messages: + msg299211
2017-07-25 07:26:54terry.reedysetpull_requests: + pull_request2910
2017-07-25 07:17:50terry.reedysetmessages: + msg299042
2017-07-24 08:05:37terry.reedylinkissue30780 dependencies
2017-07-24 07:27:37terry.reedycreate